Subject: Tr: ISSUE: Checkgroups control messages

From: Julien ÉLIE <[email-masked]>
Date: Wed, 24 Sep 2008 19:15:53 +0200

Hi Charles,

>>DNS solves the problem by saying "sequence space arithmetic"...
>>meaning if you are within plus half-the-number-range, you can consider
>>the number "greater than", but if you are within minus half-the-number-
>>range, then you consider it less than.
>
> Ah! That might well be an acceptable solution to the run-around of article
> numbers problem, which has just reared its head on the NNTP list.

Well, if your news server does not do any kind of expiration, what do you
once you have exhausted the whole range of article numbers?

ARTICLE 12 -> returns the last 12th article? :)
Ranges would also be tricky!

-- 
Julien ÉLIE

« Il y a trois façons de faire les choses : la bonne, la mauvaise, et la mienne. »

---

From: "Charles Lindsey" <[email-masked]>
Date: Thu, 25 Sep 2008 15:26:17 GMT

>once you have exhausted the whole range of article numbers?

Who (apart from Google) has the resources to store the complete set of
articles in a group which has run-around its article numbers?

And what else could such a server do if it intended to continue accepting
new articles? Move the old ones to a separate archive group? It is no use
arbitrarily deciding to use 64 bit numbers, because its client user agents
would break.

-- 
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Fax: +44 161 436 6133   Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked]      Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9      Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5